/* Agregamos la fuete que vamos a utilizar en la pagina */

@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@200;400;600&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat';
}

html{
    scroll-behavior: smooth;
}

#inicio{
    background: linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)), url("img/fondo-inicio.jpg");
    background-size: cover;
    background-position: center center;
    height: 100vh;
}

#inicio .contenido header{
    background-color: rgba(0,0,0,0.8);
    position: fixed;
    width: 100%;
    z-index: 100;
    top: 0;
}

#inicio .contenido header .contenido-header{
    max-width: 1100px;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
}

#inicio .contenido header .contenido-header .logo{
    display: flex;
    align-items: center;
}

#inicio .contenido header .contenido-header img{
    height: 50px;
}

#inicio .contenido header .contenido-header h1 {
    text-align: center;
    color: #ff5080;
}

#inicio .contenido header .contenido-header nav ul{
    list-style: none;
    display: flex;
    align-items: center;
}

#inicio .contenido header .contenido-header nav ul li a{
    text-decoration: none;
    color: #fff;
    margin: 0 12px;
    font-weight: 400;
    transition: .5s;
}

#inicio .contenido header .contenido-header nav ul a:hover{
    color: #ff5080;
}

#inicio .contenido header .contenido-header .redes a{
    text-decoration: none;
    color: #fff;
    display: inline-block;
    margin-left: 10px;
    transition: .5s;
}

#inicio .contenido header .contenido-header .redes a:hover{
    color: #ff5080;
}

#inicio .contenido header .contenido-header .seleccionado{
    color: #ff5080;
}

#inicio .contenido .presentacion{
    max-width: 1100px;
    height: 100vh;
    margin: auto;
    color: #fff;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#inicio .contenido .presentacion .bienvenida{
    font-size: 16px;
    margin-bottom: 20px;
    text-transform: uppercase;
    letter-spacing: 5px;
}

#inicio .contenido .presentacion h2{
    font-size: 55px;
    margin-bottom: 25px;
    text-align: center;
}

#inicio .contenido .presentacion h2 span{
    font-size: 25px;    
    color: #ff5080;
}

#inicio .contenido .presentacion .descripcion{
    max-width: 700px;
    margin: 25px auto;
    font-size: 18px;
    text-align: center;
}

#inicio .contenido .presentacion a{
    text-decoration: none;
    display: inline-block;
    margin: 25px;
    padding: 20px 25px;
    border: 2px solid #fff;
    border-radius: 50px;
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
    transition: .5s;
}

#inicio .contenido .presentacion a:hover{
    background-color: #ff5080;
}

#icono-nav{
    color: #fff;
    display: none;
}

/* SECCION SOBRE MI */

#sobremi{
    max-width: 1100px;
    margin: auto;
    padding: 100px 15px;
    color: #111135;
    display: flex;
}

#sobremi .contenedor-foto{
    max-width: 400px;
    margin-right: 80px;
}

#sobremi .contenedor-foto img{
    padding: 20px;
    width: 300px;
    border-radius: 20px;
    background-color: #f3f3f3;
}

#sobremi .sobremi{
    margin: 0 40px;
}

#sobremi .sobremi .titulo-seccion{
    font-size: 22px;
    text-transform: uppercase;
    color: #111135;
    text-decoration: underline;
    text-decoration-color: #d3d3d3;
    text-decoration-thickness: 5px;
}

#sobremi .sobremi h2{
    font-size: 34px;
    font-weight: bold;
    margin: 20px 0;
    letter-spacing: 2px;
}

#sobremi .sobremi h2 span{
    color: #ff5080;
}

#sobremi .sobremi h3{
    font-size: 18px;
    font-weight: 500;
    text-transform: uppercase;
    margin-bottom: 20px;
    letter-spacing: 1px;
}

#sobremi .sobremi p{
    font-size: 14px;
    line-height: 25px;
    color: #565656;
    margin-bottom: 12px;
}

#sobremi .sobremi a{
    display: inline-block;
    text-decoration: none;
    color: #000;
    border-radius: 30px;
    padding: 10px 20px;
    border: 1px solid #000;
    margin-top: 30px;
    transition: .5s;
}

#sobremi .sobremi a:hover{
    background-color: #ff5080;
    color: #fff;
}

/* SECCION ESTUDIOS */

#estudios{
    padding: 100px 15px;
    text-align: center;
    background-color: #f3f3f3;
}

#estudios .titulo-seccion{
    font-size: 22px;
    text-transform: uppercase;
    color: #111135;
    text-decoration: underline;
    text-decoration-color: #d3d3d3;
    text-decoration-thickness: 5px;
}

#estudios .fila{
    display: flex;
    justify-content: space-between;
    max-width: 1100px;
    margin: 30px auto;
}

#estudios .fila .estudio{
    max-width: 350px;
    background-color: #fff;
    padding: 30px;
    margin: 0 5px;
    border-radius: 5px;
    transition: .5s;
}

#estudios .fila .estudio:hover{
    box-shadow: 5px 5px 10px #565656, -5px -5px 10px #8a8a8a;
}

#estudios .fila .estudio h4{
    font-size: 22px;
    margin-bottom: 25px;
}

#estudios .fila .estudio .icono{
    display: inline-block;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background-color: #d3d3d3;
    padding: 20px;
    margin-bottom: 25px;
}

#estudios .fila .estudio hr{
    width: 30%;
    margin: auto;
    color: #000;
    margin-bottom: 25px;
}

#estudios .fila .estudio ul{
    list-style: none;
    justify-content: space-between;
    margin-bottom: 10px;
}

#estudios .fila .estudio p {
    font-size: 14px;
    line-height: 22px;
}

/* SECCION HABILIDADES */

.contenedor-skills{
    background: linear-gradient(#eb5a5acc, rgba(33, 16, 16, .8)), url("img/fondo-skills.jpg");
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    padding: 100px 0px;
    text-align: center;
}

.contenedor-skills .skill {
    max-width: 600px;
    margin: 30px auto;
}

.contenedor-skills .skill .info{
    display: flex;
    justify-content: space-between;
}

.contenedor-skills .skill .lista{
    display: inline-block;
    margin-right: 20px;
    height: 10px;
    width: 10px;
    background-color: #fff;
}

.contenedor-skills .skill .barra{
    background-color: #919191;
    width: 100%;
    height: 6px;
    margin: 1px 0;
}

/* Este estilo se aplicara luego mediante javascript  para lograr la animacion de la barra */

.contenedor-skills .skill .barra-progreso1{
    background-color: #fff;
    width: 60%;
    height: 6px;
    margin: 1px 0;
    animation: progreso1 2s forwards;
}

.contenedor-skills .skill .barra-progreso2{
    background-color: #fff;
    width: 75%;
    height: 6px;
    margin: 1px 0;
    animation: progreso2 2s forwards;
}

.contenedor-skills .skill .barra-progreso3{
    background-color: #fff;
    width: 50%;
    height: 6px;
    margin: 1px 0;
    animation: progreso3 2s forwards;
}

.contenedor-skills .skill .barra-progreso4{
    background-color: #fff;
    width: 80%;
    height: 6px;
    margin: 1px 0;
    animation: progreso4 2s forwards;
}

.contenedor-skills .skill .barra-progreso5{
    background-color: #fff;
    width: 85%;
    height: 6px;
    margin: 1px 0;
    animation: progreso5 2s forwards;
}

@keyframes progreso1{
    0%{
        width: 0%;
    }
    100%{
        width: 60%;
    }
}
    
@keyframes progreso2{
    0%{
        width: 0%;
    }
    100%{
        width: 75%;
    }
}

@keyframes progreso3{
    0%{
        width: 0%;
    }
    100%{
        width: 50%;
    }
}

@keyframes progreso4{
    0%{
        width: 0%;
    }
    100%{
        width: 80%;
    }
}

@keyframes progreso5{
    0%{
        width: 0%;
    }
    100%{
        width: 85%;
    }
}

/* SECCION EMPLEOS */

#empleos{
    max-width: 1100px;
    padding: 100px 0;
    margin: auto;
}

#empleos .titulo-seccion{
    text-align: center;
    font-size: 22px;
    text-transform: uppercase;
    color: #111135;
    text-decoration: underline;
    text-decoration-color: #d3d3d3;
    text-decoration-thickness: 5px;
}

#empleos .fila{
    display: flex;
    justify-content: space-between;
    margin: 30px 0;
}

#empleos .fila .empleo{
    max-width: 450px;
    border: 1px solid #000;
    margin: 0 10px;
    position: relative;
    overflow: hidden;
}

#empleos .fila .empleo img{
    width: 100%;
    height: 100%;
    filter: grayscale(1);
    object-fit: cover;
    transition: .5s;
}

#empleos .fila .empleo:hover img{
    filter: grayscale(0);
}

#empleos .fila .empleo .info{
    position: absolute;
    left: 0;
    background-color: rgba(0,0,0,0.8);
    color: #ff5080;
    width: 100%;
    padding: 10px;
    opacity: 0;
    bottom: -40px;
    transition: .5s;
}

#empleos .fila .empleo:hover .info{
    opacity: 1;
    bottom: 0;
}

/* SECCION CONTACTO */

#contacto{
    padding: 100px 15px;
    background-color: #f3f3f3;
}

#contacto .titulo-seccion{
    margin-bottom: 20px;
    text-align: center;
    font-size: 22px;
    text-transform: uppercase;
    color: #111135;
    text-decoration: underline;
    text-decoration-color: #d3d3d3;
    text-decoration-thickness: 5px;
}

#contacto .contenedor-form{
    max-width: 1100px;
    margin: auto;
}

#contacto .contenedor-form .fila{
    margin-bottom: 15px;
}

#contacto .contenedor-form .mitad{
    display: flex;
    justify-content: space-between;
}

#contacto .contenedor-form input,
#contacto .contenedor-form textarea{
    padding: 20px;
    border-radius: 20px;
    border: none;
    border: 1px solid #919191;
}

#contacto .contenedor-form .input-mitad{
    width: 48%;
}

#contacto .contenedor-form .input-full{
    width: 100%;
}

#contacto .btn-enviar{
    display: block;
    margin: 20px auto;
    cursor: pointer;
    transition: .5s;
    padding: 10px 15px;
    font-size: 18px;
    font-weight: blond;
}

#contacto .btn-enviar:hover{
    background-color: #ff5080;
    color: #fff;
}

/* SECCION FOOTER */

footer{
    background-color: #000;
    color: #fff;
    text-align: center;
    padding: 30px 0;
}

footer a{
    text-decoration: none;
    color: #fff;
    display: inline-block;
    margin: 5px;
    font-size: 26px;
}

/* SECCION WHATSAAP */

.float {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 40px;
    right: 40px;
    background-color: #25d366;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    box-shadow: 2px 2px 3px #999;
    z-index: 100;
  }
  
  .my-float {
    margin-top: 16px;
  }

/* SECCION RESPONSIVE */

@media  screen and (max-width:800px) {
    .redes{
        display: none;
    }
    nav{
        display: none;
    }
    nav.responsive{
        display: block;
        background-color: rgba(0,0,0,0.8);
        width: 100%;
        position: absolute;
        top: 48px;
        left: 0;
        padding: 10px 0;
    }
    nav.responsive ul{
        display: block !important;
        text-align: center;
    }
    nav.responsive ul li{
        margin: 5px 0;
    }
    #icono-nav{
        display: block;
    }

    #inicio .contenido .presentacion h2 {
        font-size: 40px;
    }
    #sobremi {
        padding: 50px 0;
        display: block;
    }

    #sobremi .contenedor-foto {
        max-width: 200px;
        margin: 15px;
    }
    #sobremi .contenedor-foto img {
        padding: 8px;
    }
    #sobremi .sobremi .titulo-seccion{
        text-align: center;
    }
    #sobremi .sobremi h2{
        font-size: 25px;
        text-align: center;
    }
    #sobremi .sobremi h3{
        font-size: 22px;
        text-align: center;
    }
    #estudios{
        padding: 50px 15px;
    }
    #estudios .fila{
        display: block;
    }
    #estudios .fila .estudio{
        margin: 10px auto;
    }
    .contenedor-skills{
        padding: 50px 20px;
    }
    #empleos{
        padding: 50px 15px;
    }
    #empleos .fila{
        display: block;
    }
    #empleos .fila .empleo{
        margin: 10px auto;
    }
    #contacto{
        padding: 50px 15px;
    }
    #contacto .contenedor-form .mitad{
        margin-bottom: 15px;
        display: block;
    }
    #contacto .contenedor-form .input-mitad{
        width: 100%;
        margin-bottom: 15px;
    }
    #empleos .fila .empleo .info{
        opacity: 1;
        bottom: 0;
    }
    #empleos .fila .empleo img{
        filter: grayscale(0);
    }
}

